/*
 * @(#)AutoAdjustLabel.java	1.00    27 Apr 1999
 * 
 * Modification Log:
 *
 */

package aajlabel;

import javax.swing.JLabel;
import javax.swing.Icon;
import javax.swing.plaf.LabelUI;
import java.awt.Font;
import javax.swing.JFrame;
import java.awt.GridLayout;

/**
 * The AutoAdjusting Label class. <br>
 * 
 * Extends from JLabel. Implements all the constructors of JLabel. Replaces
 * the updateUI method with its own which returns an instance of AutoAdjustLabelUI.<br>
 * 
 * Uncomment the main method to test this class.<br>
 * <br>
 * <br>
 * You are free to use this code and to make modifications provided
 * this notice is retained.
 * <p>
 * If you found this useful, please add a note of acknowledgement to my guestbook,
 * or send me a mail at <a href="mailto:tanmaykm@hotmail.com">tanmaykm@hotmail.com</a>. 
 * If you would like to report a bug or suggest some improvements, 
 * you are most welcome. I will be happy to help you use this piece of code.
 * <p>
 *
 * @author      Tanmay K. Mohapatra
 * @version     1.00, 27 Apr 1999
 */

public class AutoAdjustLabel extends javax.swing.JLabel
{
    public AutoAdjustLabel() 
    {
        super();
    }
    public AutoAdjustLabel(Icon image) 
    {
        super(image);
    }
    public AutoAdjustLabel(Icon image, int horizontalAlignment) 
    {
        super(image, horizontalAlignment);
    }
    public AutoAdjustLabel(String text) 
    {
        super(text);
    }
    public AutoAdjustLabel(String text, Icon icon, int horizontalAlignment) 
    {
        super(text, icon, horizontalAlignment);
    }
    public AutoAdjustLabel(String text, int horizontalAlignment) 
    {
        super(text, horizontalAlignment);
    }

    public void updateUI() 
    {
        setUI((LabelUI)new AutoAdjustLabelUI());
    }
    
    /*
    public static void main(String [] args)
    {
        JFrame jf = new JFrame();
        jf.getContentPane().setLayout(new GridLayout(1, 1));
        AutoAdjustLabel aal = new AutoAdjustLabel(args[0]);
        aal.setFont(new Font("Dialog", Font.BOLD, 15));
        jf.getContentPane().add(aal);
        jf.show();
        jf.pack();
    }
    */
}
